Name:		anki
Version:	2.1.13
Release:	%mkrel 1
Summary:	Flashcard program for using space repetition learning
License:	AGPLv3+ and GPLv3+ and LGPLv3 and MIT and BSD and ASL 2.0 and CC-BY-SA and CC-BY
Group:      Education
URL:		https://apps.ankiweb.net/
Source0:	https://apps.ankiweb.net/downloads/current/anki-%{version}-source.tar.xz
Source1:	anki.svg
Patch0:		anki-2.0.3-noupdate.patch
Requires: hicolor-icon-theme
Requires: python3
Requires: python3-beautifulsoup4
Requires: python3-decorator
Requires: python3-httplib2
Requires: python3-jsonschema
Requires: python3-markdown
Requires: python3-matplotlib
Requires: python3-pyaudio
Requires: python3-pygame
Requires: python3-qt5
Requires: python3-requests
Requires: python3-send2trash
Requires: python3-simplejson
Requires: python3-sqlalchemy
Requires: sox
BuildArch:	noarch

%description
Anki is a program designed to help you remember facts (such as words
and phrases in a foreign language) as easily, quickly and efficiently
as possible. Anki is based on a theory called spaced repetition.

%prep
%setup -q
%apply_patches

%build

%install
DESTDIR=%{buildroot} make install

# Use only SVG icon
rm -rf %{buildroot}%{_datadir}/pixmaps

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 anki.xml %{buildroot}%{_datadir}/mime/packages

install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

desktop-file-install --vendor="" \
  --remove-category="KDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Languages" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{name}.desktop

find %{buildroot} -type f -o -type l|sed '
s:'"%{buildroot}"'::
s:\(.*/share/anki/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
s:\(.*/share/anki/locale/qt\)\([^.]\+\)\(\.qm\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(C) ::
/^$/d' > anki.lang

find %{buildroot}/usr/share/anki/locale -type d|sed '
s:'"%{buildroot}"'::
s:\(.*\):%dir \1:' >>anki.lang

# Remove license files from docdir, they will be copied to separately via %%license
rm -f %{buildroot}%{_pkgdocdir}/LICENSE*

%files -f %{name}.lang
%doc LICENSE*
%doc README*
%{_bindir}/anki
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/aqt/
%{_datadir}/%{name}/web/
%{_datadir}/%{name}/anki/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.*
%{_datadir}/mime/packages/anki.xml
%{_mandir}/man1/%{name}.*

%changelog
* Thu Jun 06 2019 tex - 2.1.13-1pclos2019
- new
